RING-DOORBELL(1)

NAME
ring-doorbell - Command Line Interface to operate on the Ring devices

SYNOPSIS
ring-doorbell [OPTIONS] COMMAND [ARGS]...

DESCRIPTION
ring_doorbell is a Python module to manage Ring devices. The ring-doorbell executable can be used to interact with them.

This manual page is for the ring-doorbell executable. See the section "SEE ALSO" for more documentation.

  COMMANDS

Executing ring-doorbell will start an interactive session.

devices
    Get device information.

dings
    Get dings information.

groups
    Get group information.

history
    Print raw json.

list
    List ring devices.

listen
    Listen to push notification like the ones sent to...

motion-detection
    Display ring devices.

raw-query
    Directly query a url and return json result.

show
    Display ring devices.

videos
    Interact with ring videos.

  OPTIONS

--version
    Show the version and exit.

--username TEXT
    Username for Ring account.

--password TEXT
    Password for Ring account.

-d, --debug
    Enable debugging information.

--user-agent TEXT
    User agent to send to ring.

--help
    Show this message and exit.

AUTHOR
This manual page was written by Carles Pina i Estany <carles@pina.cat> for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 3 any later version published by the Free Software Foundation.

SEE ALSO
See ring_doorbell more documentation in <https://python-ring-doorbell.readthedocs.io/> or available locally in </usr/share/doc/python3-ring-doorbell/README.rst.gz> and </usr/share/doc/python3-ring-doorbell/html/>.